;InnoSetupVersion=4.2.2

[Setup]
AppName=Powerbullet Presenter
AppVerName=Powerbullet Presenter v1.366
AppId=Powerbullet Presenter
AppVersion=1.366
AppPublisher=DDD Pty Ltd
AppPublisherURL=http://powerbullet.com
AppSupportURL=http://powerbullet.com/support
AppUpdatesURL=http://powerbullet.com/updates.php
AppMutex=PowerbulletInstallerMutex
DefaultDirName={pf}\Powerbullet
DefaultGroupName=Powerbullet
OutputBaseFilename=install_powerbullet
Compression=lzma
PrivilegesRequired=none
ChangesAssociations=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Powerbullet.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\lame_enc.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\PbConverter.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\help\Powerbullet.chm"; DestDir: "{app}\help"; Flags: ignoreversion 
Source: "{app}\keyframes\andyg.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\attention.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\blink.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\bounce.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Bump in from left.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Bump in from right.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Colored glow 2.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Colored glow.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\complex.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\crawl from left.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\crawl from left2.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\crawl in from right.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Delayed appearance.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Drop.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Expand3X.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Expand4X.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Fade in.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Fast in left.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Fast in right.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\hammy_scrolling_credits.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Horizontal sweep.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Horizontal text scroll.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\In from left.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\In from right.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\In out from left.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\InTL_Rotate_OutBR.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\InTL_Spin_Zoom.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\InTL_Zoom_OutBR.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\js_sparkle.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Jump in from right.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\moving fading text.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Open horiz+vert.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Open horizontal.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Open vertical.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Out to left.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Out to right.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Quickspin in.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Rotate out in .fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Shake from left.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\snap.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\sneak in left.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Spin drop from left.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\splat.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Square.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\stretchy.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Tilt.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Tremble.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\Up vertical.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\keyframes\wobble up.fvanim"; DestDir: "{app}\keyframes"; Flags: ignoreversion 
Source: "{app}\Powerbullet.dll"; DestDir: "{app}"; Flags: restartreplace regserver ignoreversion 
Source: "{app}\getting_started.swf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\getting_started.htm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{userdocs}\Powerbullet\welcome\welcome.pbt"; DestDir: "{userdocs}\Powerbullet\welcome"; 
Source: "{userdocs}\Powerbullet\desktop.ini"; DestDir: "{userdocs}\Powerbullet"; Flags: onlyifdoesntexist 
Source: "{userdocs}\Powerbullet\powerbullet-folder.ico"; DestDir: "{userdocs}\Powerbullet"; Flags: onlyifdoesntexist 
; Source: "{app}\"; DestDir: "{app}"; Flags: onlyifdoesntexist 

[Dirs]
Name: "{userdocs}\Powerbullet"; 

[Registry]
Root: HKCR; Subkey: ".pbt"; ValueType: String; ValueData: "PowerbulletPresenterFile"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "PowerbulletPresenterFile"; ValueType: String; ValueData: "Powerbullet Presenter File"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "PowerbulletPresenterFile\DefaultIcon"; ValueType: String; ValueData: "{app}\POWERBULLET.EXE,1"; 
Root: HKCR; Subkey: "PowerbulletPresenterFile\shell\open\command"; ValueType: String; ValueData: """{app}\POWERBULLET.EXE"" ""%1"""; 
Root: HKCU; Subkey: "Software\DDD\Powerbullet"; ValueName: "LastSavedPath"; ValueType: String; ValueData: "{userdocs}\Powerbullet\welcome\welcome.pbt"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\DDD\Powerbullet"; ValueName: "WindowRect"; ValueType: String; ValueData: "{{200,122,663,539}}"; Flags: uninsdeletekey 

[Run]
Filename: "{app}\Powerbullet.exe"; Description: "Launch Powerbullet Presenter"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Powerbullet Presenter"; Filename: "{app}\Powerbullet.exe"; 
Name: "{group}\Powerbullet Presenter Help"; Filename: "{app}\Help\Powerbullet.chm"; 
Name: "{userdesktop}\Powerbullet Presenter"; Filename: "{app}\Powerbullet.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Powerbullet Presenter"; Filename: "{app}\Powerbullet.exe"; Tasks: quicklaunchicon; 
Name: "{group}\Repair Powerbullet Presenter installation"; Filename: "{app}\setup.exe"; Parameters: "/SP- /SILENT"; 
Name: "{group}\Uninstall Powerbullet Presenter"; Filename: "{uninstallexe}"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
